Package org.gradle.api.artifacts.ivy

# Interface IvyModuleDescriptor

public interface IvyModuleDescriptor
The metadata about an Ivy module that acts as an input to a component metadata rule.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable String`
  `getBranch()`
  Returns the branch attribute of the info element in this descriptor.
  `IvyExtraInfo`
  `getExtraInfo()`
  Returns an `IvyExtraInfo` representing the "extra" info declared in this descriptor.
  `String`
  `getIvyStatus()`
  Returns the status attribute of the info element in this descriptor.

- ## Method Details

  - ### getBranch

    @Nullable String getBranch()
    Returns the branch attribute of the info element in this descriptor.
    Returns:
      the branch for this descriptor, or null if no branch was declared in the descriptor.

  - ### getIvyStatus

    String getIvyStatus()
    Returns the status attribute of the info element in this descriptor. Note that this always represents the status from the ivy.xml for this module. It is not affected by changes to the status made via the `ComponentMetadataDetails` interface in a component metadata rule.
    Returns:
      the status for this descriptor

  - ### getExtraInfo

    IvyExtraInfo getExtraInfo()
    Returns an `IvyExtraInfo` representing the "extra" info declared in this descriptor.

    The extra info is the set of all non-standard subelements of the info element.

    Returns:
      an `IvyExtraInfo` representing the extra info declared in this descriptor